### Class

# Camel NNTPAddress

#### Description

    class Camel.NNTPAddress : Camel.Address
    {
      CamelNNTPAddressPrivate* priv
    }

No description available.

#### Hierarchy

#### Ancestors

- CamelAddress
- GObject

#### Constructors

###### camel_nntp_address_new

Create a new CamelNNTPAddress object.

#### Instance methods

###### camel_nntp_address_add

Add a new nntp address to the address object. Duplicates are not added twice.

###### camel_nntp_address_get

Get the address at `index`.

##### Methods inherited from CamelAddress (9)

###### camel_address_cat

Concatenate one address onto another. The addresses must be of the same type.

###### camel_address_copy

Copy the contents of one address into another.

###### camel_address_decode

Construct a new address from a raw address field.

###### camel_address_encode

Encode an address in a format suitable for a raw header.

###### camel_address_format

Format an address in a format suitable for display.

###### camel_address_length

Get the number of addresses stored in the address `addr`.

###### camel_address_new_clone

Clone an existing address type.

###### camel_address_remove

Remove an address by index, or all addresses.

###### camel_address_unformat

Attempt to convert a previously formatted and/or edited address back into internal form.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct CamelNNTPAddressClass {
      CamelAddressClass parent_class;
      gpointer reserved;

    }

No description available.

###### Class members

`parent_class: CamelAddressClass`

  No description available.

`reserved: gpointer`

  No description available.